# GimpUi.PreviewArea.draw

    @accepts(GimpUi.PreviewArea, int, int, int, int, Gimp.ImageType, [guint8], int)
    @returns(none)
    def draw(self, x, y, width, height, type, buf, rowstride):
        # Python wrapper for gimp_preview_area_draw()

Draws buf on self and queues a redraw on the given rectangle.

Since GIMP 2.2

self

  a GimpUi.PreviewArea widget.

x

  x offset in preview

y

  y offset in preview

width

  buffer width

height

  buffer height

type

  the Gimp.ImageType of buf

buf

  a #guchar buffer that contains the preview pixel data.

rowstride

  rowstride of buf